% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SamplerUnif.R
\name{SamplerUnif}
\alias{SamplerUnif}
\title{SamplerUnif Class}
\description{
Uniform random sampling for an arbitrary (bounded) \link{ParamSet}.
Constructs 1 uniform sampler per \link{Param}, then passes them to \link{SamplerHierarchical}.
Hence, also works for \link{ParamSet}s sets with dependencies.
}
\seealso{
Other Sampler: 
\code{\link{Sampler1DCateg}},
\code{\link{Sampler1DNormal}},
\code{\link{Sampler1DRfun}},
\code{\link{Sampler1DUnif}},
\code{\link{Sampler1D}},
\code{\link{SamplerHierarchical}},
\code{\link{SamplerJointIndep}},
\code{\link{Sampler}}
}
\concept{Sampler}
\section{Super classes}{
\code{\link[paradox:Sampler]{paradox::Sampler}} -> \code{\link[paradox:SamplerHierarchical]{paradox::SamplerHierarchical}} -> \code{SamplerUnif}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-SamplerUnif-new}{\code{SamplerUnif$new()}}
\item \href{#method-SamplerUnif-clone}{\code{SamplerUnif$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="paradox" data-topic="Sampler" data-id="format"><a href='../../paradox/html/Sampler.html#method-Sampler-format'><code>paradox::Sampler$format()</code></a></span></li>
<li><span class="pkg-link" data-pkg="paradox" data-topic="Sampler" data-id="print"><a href='../../paradox/html/Sampler.html#method-Sampler-print'><code>paradox::Sampler$print()</code></a></span></li>
<li><span class="pkg-link" data-pkg="paradox" data-topic="Sampler" data-id="sample"><a href='../../paradox/html/Sampler.html#method-Sampler-sample'><code>paradox::Sampler$sample()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-SamplerUnif-new"></a>}}
\if{latex}{\out{\hypertarget{method-SamplerUnif-new}{}}}
\subsection{Method \code{new()}}{
Creates a new instance of this \link[R6:R6Class]{R6} class.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{SamplerUnif$new(param_set)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{param_set}}{(\link{ParamSet})\cr
Domain / support of the distribution we want to sample from.
ParamSet is cloned on construction.}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-SamplerUnif-clone"></a>}}
\if{latex}{\out{\hypertarget{method-SamplerUnif-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{SamplerUnif$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
